# Method: spaces.delete

- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces/delete#try-it)

Deletes a named space. Always performs a cascading delete, which means that the space's child resources---like messages posted in the space and memberships in the space---are also deleted. For an example, see [Delete a space](https://developers.google.com/workspace/chat/delete-spaces).

Supports the following types of [authentication](https://developers.google.com/workspace/chat/authenticate-authorize):

- [App authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-app) with [administrator approval](https://support.google.com/a?p=chat-app-auth) and the authorization scope:

  - `https://www.googleapis.com/auth/chat.app.delete` (only in spaces the app created)
- [User authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-user) with one of the following authorization scopes:

  - `https://www.googleapis.com/auth/chat.delete`
  - `https://www.googleapis.com/auth/chat.import` (import mode spaces only)
  - User authentication grants administrator privileges when an administrator account authenticates, `useAdminAccess` is `true`, and the following authorization scope is used:
    - `https://www.googleapis.com/auth/chat.admin.delete`

### HTTP request

`DELETE https://chat.googleapis.com/v1/{name=spaces/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the space to delete. Format: `spaces/{space}` |

### Query parameters

| Parameters ||
|---|---|
| `useAdminAccess` | `boolean` Optional. When `true`, the method runs using the user's Google Workspace administrator privileges. The calling user must be a Google Workspace administrator with the [manage chat and spaces conversations privilege](https://support.google.com/a/answer/13369245). Requires the `chat.admin.delete` [OAuth 2.0 scope](https://developers.google.com/workspace/chat/authenticate-authorize#chat-api-scopes). |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.app.delete`
- `https://www.googleapis.com/auth/chat.admin.delete`
- `https://www.googleapis.com/auth/chat.import`
- `https://www.googleapis.com/auth/chat.delete`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).